Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.rolemapper
Class RoleManagerProxy

    java.lang.Object
      com.bea.p13n.security.management.rolemapper.RoleManagerProxy

Deprecated

    public class RoleManagerProxy

extends Object

This class provides access to Role management functions as defined by the WLS Security Service Provider Interface (SSPI). This class acts as a proxy for a single, configured Role Mapper Provider plug-in by proxying calls to the `RoleProvider` class.

This class should not contain any layered product dependencies.

Since it is possible that a Role Mapper Provider may not implement all optional management interfaces, an `OperationNotSupportedException` may be thrown.

This class is constructed using the `RoleProviderDescription`.

See Also
  `RoleSecurityMgmtHelper`

Constructor Summary
`RoleManagerProxy(RoleProviderDescription aProviderDescription)` Deprecated
`RoleManagerProxy(RoleProviderDescription aProviderDescription, boolean cacheAdminMBean)` Deprecated

Method Summary
`String` | `getUniqueName()` Deprecated Get the unique name for this RoleManagerProxy.
`String[]` | `listRolesForResource(String resourceId)` Deprecated Lists all role names for this provider associated with the given resource id.
`boolean` | `roleExists(String resourceId, String roleName)` Deprecated Determines if a role exists for this provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleManagerProxy

    public RoleManagerProxy(RoleProviderDescription aProviderDescription)

  Deprecated

### RoleManagerProxy

    public RoleManagerProxy(RoleProviderDescription aProviderDescription,
                            boolean cacheAdminMBean)

  Deprecated

Method Detail

### getUniqueName

    public String getUniqueName()

  Deprecated
  Get the unique name for this RoleManagerProxy. It's the concatenation of the display name with the version.

### roleExists

    public boolean roleExists(String resourceId,
                              String roleName)

  Deprecated
  Determines if a role exists for this provider.

  Parameters
    `resourceId` - the resource the role is scoped to
    `roleName` - the role name to check
  Returns
    true if the role exists, false otherwise

### listRolesForResource

    public String[] listRolesForResource(String resourceId)

  Deprecated
  Lists all role names for this provider associated with the given resource id.

  Parameters
    `resourceId` - the resource the role is scoped to
  Returns
    String array of role names

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.